soc/intel/xeon_sp: Drop uncore_fill_ssdt
[coreboot2.git] / util / kconfig / gconf-cfg.sh
blob9b7472766f5d83637840be8075ee68e4b452e973
1 #!/bin/sh
2 # SPDX-License-Identifier: GPL-2.0-only
4 cflags=$1
5 libs=$2
7 PKG="gtk+-2.0 gmodule-2.0 libglade-2.0"
9 if [ -z "$(command -v ${HOSTPKG_CONFIG})" ]; then
10 echo >&2 "*"
11 echo >&2 "* 'make gconfig' requires '${HOSTPKG_CONFIG}'. Please install it."
12 echo >&2 "*"
13 exit 1
16 if ! ${HOSTPKG_CONFIG} --exists $PKG; then
17 echo >&2 "*"
18 echo >&2 "* Unable to find the GTK+ installation. Please make sure that"
19 echo >&2 "* the GTK+ 2.0 development package is correctly installed."
20 echo >&2 "* You need $PKG"
21 echo >&2 "*"
22 exit 1
25 if ! ${HOSTPKG_CONFIG} --atleast-version=2.0.0 gtk+-2.0; then
26 echo >&2 "*"
27 echo >&2 "* GTK+ is present but version >= 2.0.0 is required."
28 echo >&2 "*"
29 exit 1
32 ${HOSTPKG_CONFIG} --cflags ${PKG} > ${cflags}
33 ${HOSTPKG_CONFIG} --libs ${PKG} > ${libs}